Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ViewOlapModelAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.RepositoryAction
                      com.jaspersoft.jasperserver.war.action.ViewOlapModelAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ViewOlapModelAction

extends RepositoryAction

ViewOlapModelAction provides actions to display JPivot olap view

Author:
  jshih

Nested Class Summary
`class` | `ViewOlapModelAction.OlapSessionState` From OlapModelController

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected org.apache.log4j.Logger` | `logger`
`static java.lang.String` | `OLAPUNIT_ATTR`

Fields inherited from class com.jaspersoft.jasperserver.war.action.RepositoryAction
`log, RESOURCE_TYPES`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Constructor Summary
`ViewOlapModelAction()`

Method Summary
`org.springframework.webflow.execution.Event` | `createOlapModel(org.springframework.webflow.execution.RequestContext requestContext)` createOlapModel action
`org.springframework.webflow.execution.Event` | `displayOlapModel(org.springframework.webflow.execution.RequestContext requestContext)` displayOlapModel action
`OlapConnectionService` | `getOlapConnection()`
`OlapConnectionService` | `getOlapConnectionService()`
`com.tonbeller.jpivot.olap.model.OlapModel` | `getOlapModel()`
`protected ViewOlapModelAction.OlapSessionState` | `getOlapSession(java.lang.String viewUri, javax.servlet.http.HttpSession sess)` From OlapModelController
`org.springframework.webflow.execution.Event` | `getOlapUnit(org.springframework.webflow.execution.RequestContext requestContext)` getOlapUnit retrieves the uri of specified olap unit
`RepositoryService` | `getRepository()`
`org.springframework.webflow.execution.Event` | `initOlapModel(org.springframework.webflow.execution.RequestContext context)` initAction performs the initialization for the olap model controller
`void` | `setOlapConnection(OlapConnectionService olapConnection)`
`void` | `setOlapConnectionService(OlapConnectionService olapConnectionService)`
`void` | `setOlapModel(com.tonbeller.jpivot.olap.model.OlapModel olapModel)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class com.jaspersoft.jasperserver.war.action.RepositoryAction
`getConfiguration, getFlowAttributeFolder, getMessages, getPathFolders, getResourceTypes, goToPage, initAction, setConfiguration, setFlowAttributeFolder, setMessages`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### logger

    protected final org.apache.log4j.Logger logger

### OLAPUNIT_ATTR

    public static final java.lang.String OLAPUNIT_ATTR

See Also:
  Constant Field Values

Constructor Detail

### ViewOlapModelAction

    public ViewOlapModelAction()

Method Detail

### initOlapModel

    public org.springframework.webflow.execution.Event initOlapModel(org.springframework.webflow.execution.RequestContext context)

  initAction performs the initialization for the olap model controller

  Parameters:
    `context` -
  Returns:

### getOlapSession

    protected ViewOlapModelAction.OlapSessionState getOlapSession(java.lang.String viewUri,
                                                                  javax.servlet.http.HttpSession sess)

  From OlapModelController

  Parameters:
    `viewUri` -
    `sess` -
  Returns:

### getOlapUnit

    public org.springframework.webflow.execution.Event getOlapUnit(org.springframework.webflow.execution.RequestContext requestContext)

  getOlapUnit retrieves the uri of specified olap unit

  Parameters:
    `requestContext` -
  Returns:
    success or error

### createOlapModel

    public org.springframework.webflow.execution.Event createOlapModel(org.springframework.webflow.execution.RequestContext requestContext)

  createOlapModel action

  Parameters:
    `requestContext` -
  Returns:
    success or error

### displayOlapModel

    public org.springframework.webflow.execution.Event displayOlapModel(org.springframework.webflow.execution.RequestContext requestContext)

  displayOlapModel action

  Parameters:
    `requestContext` -
  Returns:

### getOlapConnectionService

    public OlapConnectionService getOlapConnectionService()

  Returns:
    Returns the olapConnectionService.

### setOlapConnectionService

    public void setOlapConnectionService(OlapConnectionService olapConnectionService)

  Parameters:
    `olapConnectionService` - The olapConnectionService to set.

### getRepository

    public RepositoryService getRepository()

  Overrides:
    `getRepository` in class `RepositoryAction`

### setRepository

    public void setRepository(RepositoryService repository)

  Overrides:
    `setRepository` in class `RepositoryAction`

### getOlapConnection

    public OlapConnectionService getOlapConnection()

### setOlapConnection

    public void setOlapConnection(OlapConnectionService olapConnection)

### getOlapModel

    public com.tonbeller.jpivot.olap.model.OlapModel getOlapModel()

### setOlapModel

    public void setOlapModel(com.tonbeller.jpivot.olap.model.OlapModel olapModel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.